Subject: Re: [RFC][PATCH 8/9] 3c59x driver conversion

From: Peter Zijlstra <[email-masked]>
Date: Wed, 09 Aug 2006 09:03:21 +0200

On Wed, 2006-08-09 at 02:30 -0400, Jeff Garzik wrote:
> David Miller wrote:
> > From: Daniel Phillips <[email-masked]>
> > Date: Tue, 08 Aug 2006 22:51:20 -0700
> > 
> >> Elaborate please.  Do you think that all drivers should be updated to
> >> fix the broken blockdev semantics, making NETIF_F_MEMALLOC redundant?
> >> If so, I trust you will help audit for it?
> > 
> > I think he's saying that he doesn't think your code is yet a
> > reasonable way to solve the problem, and therefore doesn't belong
> > upstream.
> 
> Pretty much.  It is completely non-sensical to add NETIF_F_MEMALLOC, 
> when it should be blindingly obvious that every net driver will be 
> allocating memory, and every net driver could potentially be used with 
> NBD and similar situations.

Sure, but until every single driver is converted I'd like to warn people
about the fact that their setups is not up to expectations. Iff all
drivers are converted I'll be the forst to submit a patch that removes
the feature flag.